Read autopilot
curl --request GET \
--url https://api.sigmora.org/v1/autopilots/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/autopilots/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/autopilots/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"autopilot": {
"id": "<string>",
"contentBrandId": "<string>",
"enabled": true,
"mode": "draft_only",
"runIntervalMinutes": 0,
"timezone": "<string>",
"quietHours": {
"start": "<string>",
"end": "<string>"
},
"destinations": [
{
"platform": "whatsapp",
"productId": "<string>",
"productTargetId": "<string>",
"channelRef": "<string>"
}
],
"sourceClipIds": [
"<string>"
],
"targetSeconds": 0,
"shortsCount": 0,
"trendWindowHours": 0,
"minTrendScore": 123,
"lastRunAt": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"creditQuote": {
"currency": "credits",
"totalCredits": 4503599627370495,
"lines": [
{
"phase": "content",
"step": "<string>",
"operation": "<string>",
"unitCredits": 4503599627370495,
"quantity": 4503599627370495,
"credits": 4503599627370495
}
]
}
},
"creditQuote": {
"currency": "credits",
"totalCredits": 4503599627370495,
"lines": [
{
"phase": "content",
"step": "<string>",
"operation": "<string>",
"unitCredits": 4503599627370495,
"quantity": 4503599627370495,
"credits": 4503599627370495
}
]
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Read autopilot
Read one Brand’s content autopilot configuration.
GET
/
v1
/
autopilots
/
{brandId}
Read autopilot
curl --request GET \
--url https://api.sigmora.org/v1/autopilots/{brandId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/autopilots/{brandId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/autopilots/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"autopilot": {
"id": "<string>",
"contentBrandId": "<string>",
"enabled": true,
"mode": "draft_only",
"runIntervalMinutes": 0,
"timezone": "<string>",
"quietHours": {
"start": "<string>",
"end": "<string>"
},
"destinations": [
{
"platform": "whatsapp",
"productId": "<string>",
"productTargetId": "<string>",
"channelRef": "<string>"
}
],
"sourceClipIds": [
"<string>"
],
"targetSeconds": 0,
"shortsCount": 0,
"trendWindowHours": 0,
"minTrendScore": 123,
"lastRunAt": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"creditQuote": {
"currency": "credits",
"totalCredits": 4503599627370495,
"lines": [
{
"phase": "content",
"step": "<string>",
"operation": "<string>",
"unitCredits": 4503599627370495,
"quantity": 4503599627370495,
"credits": 4503599627370495
}
]
}
},
"creditQuote": {
"currency": "credits",
"totalCredits": 4503599627370495,
"lines": [
{
"phase": "content",
"step": "<string>",
"operation": "<string>",
"unitCredits": 4503599627370495,
"quantity": 4503599627370495,
"credits": 4503599627370495
}
]
}
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
A workspace API key.
Path Parameters
The Brand this autopilot drives. GET /v1/brands lists them.
Required string length:
1 - 200Example:
"brd_4b81"